<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 25, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Array
  const values = [2, 4, 6, 7, 9];
  import { scaleLog } from "d3-scale";
  const scalevalues = scaleLog().domain([1,10]).range([0,innerWidth]);
  import {axisBottom} from "d3-axis"

  import {select} from "d3-selection"
  function xAxis(element) 
  {
    let axis=axisBottom(scalevalues);
    select(element).call(axis);
  }

</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as value}  
    <circle r=10 cy={innerHeight/2} cx={scalevalues(+value)} fill="blue"/>
   {/each}
  <text x={innerWidth/2} y={height-margin.top} fill = "currentcolor" style="font-size:0.75em;">x label </text>
  </g>
  <g transform="translate({margin.left},{innerHeight+margin.top})" use:xAxis>
  </g>
  
</svg>
